xfrd_struct Struct Reference

`#include <xfrd.h>`

## Data Fields

xfrhandler_type * | xfrhandler
zone_type * | zone
pthread_mutex_t | serial_lock
pthread_mutex_t | rw_lock
int | tcp_conn
int | round_num
int | master_num
int | next_master
acl_type * | master
uint32_t | serial_xfr
uint32_t | serial_notify
uint32_t | serial_disk
time_t | serial_xfr_acquired
time_t | serial_notify_acquired
time_t | serial_disk_acquired
uint8_t | serial_retransfer
soa_type | soa
struct timespec | timeout
netio_handler_type | handler
uint16_t | query_id
uint32_t | msg_seq_nr
uint32_t | msg_old_serial
uint32_t | msg_new_serial
size_t | msg_rr_count
uint8_t | msg_is_ixfr
uint8_t | msg_do_retransfer
tsig_rr_type * | tsig_rr
xfrd_type * | tcp_waiting_next
xfrd_type * | udp_waiting_next
unsigned | tcp_waiting: 1
unsigned | udp_waiting: 1

## Detailed Description

Zone transfer state.

Definition at line 93 of file xfrd.h.

## Field Documentation

## handler

netio_handler_type xfrd_struct::handler

Definition at line 124 of file xfrd.h.

Referenced by engine_update_zones(), and xfrd_create().

## master

acl_type* xfrd_struct::master

Definition at line 105 of file xfrd.h.

Referenced by xfrd_create().

## master_num

int xfrd_struct::master_num

Definition at line 103 of file xfrd.h.

Referenced by xfrd_create().

## msg_do_retransfer

uint8_t xfrd_struct::msg_do_retransfer

Definition at line 133 of file xfrd.h.

Referenced by xfrd_create().

## msg_is_ixfr

uint8_t xfrd_struct::msg_is_ixfr

Definition at line 132 of file xfrd.h.

Referenced by xfrd_create().

## msg_new_serial

uint32_t xfrd_struct::msg_new_serial

Definition at line 130 of file xfrd.h.

Referenced by xfrd_create().

## msg_old_serial

uint32_t xfrd_struct::msg_old_serial

Definition at line 129 of file xfrd.h.

Referenced by xfrd_create().

## msg_rr_count

size_t xfrd_struct::msg_rr_count

Definition at line 131 of file xfrd.h.

Referenced by xfrd_create().

## msg_seq_nr

uint32_t xfrd_struct::msg_seq_nr

Definition at line 128 of file xfrd.h.

Referenced by xfrd_create().

## next_master

int xfrd_struct::next_master

Definition at line 104 of file xfrd.h.

Referenced by xfrd_create().

## query_id

uint16_t xfrd_struct::query_id

Definition at line 127 of file xfrd.h.

Referenced by xfrd_create().

## round_num

int xfrd_struct::round_num

Definition at line 102 of file xfrd.h.

Referenced by xfrd_create().

## rw_lock

pthread_mutex_t xfrd_struct::rw_lock

Definition at line 98 of file xfrd.h.

Referenced by addns_read(), xfrd_cleanup(), and xfrd_create().

## serial_disk

uint32_t xfrd_struct::serial_disk

Definition at line 113 of file xfrd.h.

Referenced by xfrd_create().

## serial_disk_acquired

time_t xfrd_struct::serial_disk_acquired

Definition at line 118 of file xfrd.h.

Referenced by addns_read(), and xfrd_create().

## serial_lock

pthread_mutex_t xfrd_struct::serial_lock

Definition at line 97 of file xfrd.h.

Referenced by addns_read(), xfrd_cleanup(), and xfrd_create().

## serial_notify

uint32_t xfrd_struct::serial_notify

Definition at line 111 of file xfrd.h.

Referenced by xfrd_create().

## serial_notify_acquired

time_t xfrd_struct::serial_notify_acquired

Definition at line 117 of file xfrd.h.

Referenced by xfrd_create().

## serial_retransfer

uint8_t xfrd_struct::serial_retransfer

Definition at line 119 of file xfrd.h.

Referenced by xfrd_create().

## serial_xfr

uint32_t xfrd_struct::serial_xfr

Definition at line 108 of file xfrd.h.

Referenced by xfrd_create().

## serial_xfr_acquired

time_t xfrd_struct::serial_xfr_acquired

Definition at line 114 of file xfrd.h.

Referenced by addns_read(), axfr(), ixfr(), soa_request(), and xfrd_create().

## soa

soa_type xfrd_struct::soa

Definition at line 120 of file xfrd.h.

Referenced by xfrd_create(), xfrd_set_timer_refresh(), and xfrd_set_timer_retry().

## tcp_conn

int xfrd_struct::tcp_conn

Definition at line 101 of file xfrd.h.

Referenced by xfrd_create().

## tcp_waiting

unsigned xfrd_struct::tcp_waiting

Definition at line 138 of file xfrd.h.

Referenced by xfrd_create().

## tcp_waiting_next

xfrd_type* xfrd_struct::tcp_waiting_next

Definition at line 136 of file xfrd.h.

Referenced by xfrd_create().

## timeout

struct timespec xfrd_struct::timeout

Definition at line 123 of file xfrd.h.

## tsig_rr

tsig_rr_type* xfrd_struct::tsig_rr

Definition at line 134 of file xfrd.h.

Referenced by xfrd_cleanup(), and xfrd_create().

## udp_waiting

unsigned xfrd_struct::udp_waiting

Definition at line 139 of file xfrd.h.

Referenced by xfrd_create().

## udp_waiting_next

xfrd_type* xfrd_struct::udp_waiting_next

Definition at line 137 of file xfrd.h.

Referenced by xfrd_create().

## xfrhandler

xfrhandler_type* xfrd_struct::xfrhandler

Definition at line 95 of file xfrd.h.

Referenced by xfrd_create(), xfrd_set_timer_now(), xfrd_set_timer_refresh(), and xfrd_set_timer_retry().

## zone

zone_type* xfrd_struct::zone

Definition at line 96 of file xfrd.h.

Referenced by xfrd_create(), xfrd_set_timer_now(), xfrd_set_timer_refresh(), and xfrd_set_timer_retry().

The documentation for this struct was generated from the following file:

- src/wire/xfrd.h